Method: projects.locations.validations.create

Creates a new Validation dry run. This process involves analyzing the provided Action to identify all the Google Cloud resources that match the targeting criteria. You can view the results by listing the ValidationResource children of the Validation dry run. The Validation dry run starts in the PREPARING state and transitions to COMPLETED once the analysis is finished.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/validations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location where this dry run will be created. Format: projects/{projectId}/locations/{location}.

Query parameters

Parameters
validationId

string

Optional. The ID to use for the dry run, which will become the final component of the resource name. If not provided, a UUID will be generated. This value should be 4-63 characters, start with a letter or number, end with a letter or number, and contain only lowercase letters, numbers, and hyphens.

Request body

The request body contains an instance of Validation.

Response body

If successful, the response body contains a newly created instance of Validation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.validations.create

For more information, see the IAM documentation.